From: =?utf-8?q?Timo_R=C3=B6hling?= <roehling@debian.org>
Date: Mon, 1 Nov 2021 14:26:56 +0100
Subject: Replace Git commit ID with constant

Forwarded: not-needed
---
 iceoryx_posh/cmake/iceoryxversions.cmake | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/iceoryx_posh/cmake/iceoryxversions.cmake b/iceoryx_posh/cmake/iceoryxversions.cmake
index 14922f2..c78fa4e 100644
--- a/iceoryx_posh/cmake/iceoryxversions.cmake
+++ b/iceoryx_posh/cmake/iceoryxversions.cmake
@@ -15,11 +15,7 @@
 # SPDX-License-Identifier: Apache-2.0
 
 # Find GIT revisions
-execute_process(COMMAND
-  git describe --match=None --always --abbrev=40 --dirty
-  WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
-  OUTPUT_VARIABLE ICEORYX_SHA1
-  OUTPUT_STRIP_TRAILING_WHITESPACE)
+set(ICEORYX_SHA1 "0000000000000000000000000000000000000000")
 
 string(TIMESTAMP ICEORYX_BUILDDATE UTC)
 
